 //////////////////////////////////////////////////////////////////////////////
//
// PocketFrog - The Game Library for Pocket PC Devices
// Copyright 2002  Thierry Tremblay
//
// Permission to use, copy, modify, distribute and sell this software
// and its documentation for any purpose is hereby granted without fee,
// provided that the above copyright notice appear in all copies and
// that both that copyright notice and this permission notice appear
// in supporting documentation.  Thierry Tremblay makes no representations
// about the suitability of this software for any purpose.
// It is provided "as is" without express or implied warranty.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETFROG_SAMPLE_BLIT_H
#define POCKETFROG_SAMPLE_BLIT_H

#include <PocketFrog.h>

using namespace Frog;



//////////////////////////////////////////////////////////////////////////////
//
// BlitSample
//
//////////////////////////////////////////////////////////////////////////////

class BlitSample : public Game
{
public:

    // Construction
    BlitSample();

    // Framework callbacks
    virtual bool GameInit();
    virtual void GameEnd();
    virtual void GameLoop();
    virtual void StylusDown( Point stylus );
    virtual void StylusUp( Point stylus );
    virtual void StylusMove( Point stylus );


private:

		// Data
    
    Surface* m_background;      // Background image
    Surface* m_numbers;         // Numbers to display FPS
    
    int      m_FPSCounter;      // FPS counter
    uint32_t m_FPSTicks[16];    // Ticks for last 16 frames

	//variables & functions for the ripple effect
	short*	m_pBuf1;
	short*	m_pBuf2;

	void RippleSpread();
	void DrawRippleEffect();
	void DropStone(int x, int y, int stonesize = 3, int stoneweight = 128);
	
};



#endif
